package com.jasamedika.medifirst2000.vo;


import javax.persistence.Column;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class KamusIndikatorVO extends BaseMasterVO{

	@ManyToOne
	@JoinColumn(name = "ObjectIndikatorFk")
	@NotNull(message="Indikator Harus Diisi")
	@Caption(value="Indikator")
	private IndikatorRensarVO indikator;
	
	@ManyToOne
	@JoinColumn(name = "bobotIndikatorFk")
	@NotNull(message="Bobot Indikator Harus Diisi")
	@Caption(value="Bobot Indikator")
	private BobotIndikatorVO bobotIndikator;
	
	@ManyToOne
	@JoinColumn(name = "picFk")
	@NotNull(message="PIC Harus Diisi")
	@Caption(value="PIC")
	private DepartemenVO pic;
	
	@Column(name="sumberData")
	@Caption(value="Sumber Data")
	private String sumberData;
	
	@ManyToOne
	@JoinColumn(name = "periodePelaporanFk")
	@NotNull(message="Periode Pelaporan Harus Diisi")
	@Caption(value="Periode Pelaporan")
	private PeriodePelaporanVO periodePelaporan;
	
	@Column(name="awalPeriode")
	@Caption(value="Awal Periode")
	private Integer awalPeriode;
	
	@Column(name="akhirPeriode")
	@Caption(value="Akhir Periode")
	private Integer akhirPeriode;

	@ManyToOne
	@JoinColumn(name = "ObjectSatuanIndikatorFk")
	@NotNull(message="Satuan Indikator Harus Diisi")
	@Caption(value="Satuan Indikator")
	private SatuanIndikatorVO satuanIndikator;

	public BobotIndikatorVO getBobotIndikator() {
		return bobotIndikator;
	}

	public void setBobotIndikator(BobotIndikatorVO bobotIndikator) {
		this.bobotIndikator = bobotIndikator;
	}

	public DepartemenVO getPic() {
		return pic;
	}

	public void setPic(DepartemenVO pic) {
		this.pic = pic;
	}

	public String getSumberData() {
		return sumberData;
	}

	public void setSumberData(String sumberData) {
		this.sumberData = sumberData;
	}

	public PeriodePelaporanVO getPeriodePelaporan() {
		return periodePelaporan;
	}

	public void setPeriodePelaporan(PeriodePelaporanVO periodePelaporan) {
		this.periodePelaporan = periodePelaporan;
	}

	public Integer getAwalPeriode() {
		return awalPeriode;
	}

	public void setAwalPeriode(Integer awalPeriode) {
		this.awalPeriode = awalPeriode;
	}

	public Integer getAkhirPeriode() {
		return akhirPeriode;
	}

	public void setAkhirPeriode(Integer akhirPeriode) {
		this.akhirPeriode = akhirPeriode;
	}

	public IndikatorRensarVO getIndikator() {
		return indikator;
	}

	public void setIndikator(IndikatorRensarVO indikator) {
		this.indikator = indikator;
	}

	public SatuanIndikatorVO getSatuanIndikator() {
		return satuanIndikator;
	}

	public void setSatuanIndikator(SatuanIndikatorVO satuanIndikator) {
		this.satuanIndikator = satuanIndikator;
	}
}